## INTRODUCTION

The Module Timer module provides functionality for automatically uninstalling modules based on a specified duration. This allows site administrators to configure a time limit for how long a module should remain enabled on the site, after which it will be uninstalled automatically when the next cron is run.

The primary use case for this module is:

 - Development to Production Transition: Developers can use this module when transitioning a site from a development or staging environment to production. Temporary modules needed during development can be set to uninstall automatically after a specified duration.

 - Temporary Module Usage: Modules that are only required for a limited period (e.g., debugging tools, testing utilities) can be enabled temporarily and then removed automatically without manual intervention.

 - Streamlined Site Maintenance: Helps maintain a clean production environment by ensuring that unnecessary modules do not remain enabled after their purpose has been fulfilled.

## REQUIREMENTS

This module has the following dependency:

Select2: This module is required for providing a user-friendly search and selection interface for module options. It enhances the module selection process with advanced search capabilities and multi-select features.
Ensure the Select2 module is installed and enabled before using the Module Timer module. You can install it via Composer:

composer require drupal/select2

## INSTALLATION

Install as you would normally install a contributed Drupal module.
See: https://www.drupal.org/node/895232 for further information.

## CONFIGURATION
 - Step #1: After installing the Module Timer module, navigate to the Module Timer List tab under the site’s configuration section.

 - Step #2: On the Module Timer List page, you can view the currently configured timers for modules and their details.

 - Step #3: To add a new timer, click on the Add Timer button. This will take you to a form where you can:
 Select one or more modules to configure a timer for.
 Specify the duration (in minutes) for which the selected modules should remain enabled.


## MAINTAINERS

Current maintainers for Drupal 10:

- Kumaresh Bakshi - https://www.drupal.org/u/kumaresh_bakshi
- Souvik Banerjee - https://www.drupal.org/u/souvik_banerjee
